Main Page Widgets Namespaces Book

# icontheme.h File Reference

## Namespaces

namespace | Gtk
namespace | Glib

## Classes

class | Gtk::IconTheme

## Enumerations

enum | IconLookupFlags { ICON_LOOKUP_NO_SVG = 1 << 0, ICON_LOOKUP_FORCE_SVG = 1 << 1, ICON_LOOKUP_USE_BUILTIN = 1 << 2 }
enum | IconThemeError { ICON_THEME_NOT_FOUND, ICON_THEME_FAILED }

## Functions

IconLookupFlags | operator| (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | operator& (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | operator^ (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | operator~ (IconLookupFlags flags)
IconLookupFlags& | operator|= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags& | operator&= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags& | operator^= (IconLookupFlags& lhs, IconLookupFlags rhs)